# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util.parser
Class Strcaselit

    java.lang.Object
      com.google.gdata.util.parser.Parser<java.lang.Object>
          com.google.gdata.util.parser.Strcaselit

    public class Strcaselit

extends Parser<java.lang.Object>

The `Strlit` parser performs a case-insensitive string comparison of its `str` against the prefix parse buffer. It is not necessary for the parser to match the entire parse buffer. Parser p = new Strcaselit("hello"); p.parse("hello") -> matches "hello" p.parse("hello world") -> matches "hello" p.parse(" hello") -> no match, string does not start with "hello" p.parse("HELLO") -> matches "HELLO" p.parse("hElLo") -> matches "hElLo"

See Also:
  `Strlit`

Field Summary

Fields inherited from class com.google.gdata.util.parser.Parser
`NO_MATCH`

Constructor Summary
`Strcaselit(java.lang.String str)` Class constructor.

Method Summary
`int` `parse(char[] buf, int start, int end, java.lang.Object data)` Performs a case-insensitive comparison of the `str` member field passed to the `Strlit` constructor against the prefix of the parse buffer: `buf[start,end)`.

Methods inherited from class com.google.gdata.util.parser.Parser
`action, alternative, difference, intersection, list, optional, parse, parse, parse, plus, repeat, repeat, sequence, sequence, sequence, sequence, star`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Strcaselit

    public Strcaselit(java.lang.String str)

  Class constructor.

  Parameters:
    `str` - The `String` being matched against.

Method Detail

### parse

    public int parse(char[] buf,
                     int start,
                     int end,
                     java.lang.Object data)

  Performs a case-insensitive comparison of the `str` member field passed to the `Strlit` constructor against the prefix of the parse buffer: `buf[start,end)`. `Strcaselit.str` must be a case-insensitive prefix of `buf[start,end)` for a match to occur.

  Specified by:
    `parse` in class `Parser<java.lang.Object>`
  Parameters:
    `buf` - The character array to match against.
    `start` - The start offset of data within the character array to match against.
    `end` - The end offset of data within the character array to match against.
    `data` - User defined object that is passed to `Callback.handle` when an `Action` fires.
  See Also:
    `Parser.parse(char[], int, int, T)`